/*
 * Criado em 07/07/2006
 *
 * Código desenvolvido por Maurício Linhares
 */
package org.maujr;

import java.util.Random;

/**
 *  
 * 
 *  Classe RandomGenerator do projeto maven2, arquivo RandomGenerator.java
 *
 * @author Maurício
 *
 */
public class RandomGenerator {

	private Random random = new Random();
	
	public int getNextInt() {
		return this.random.nextInt();
	}
	
	public long getNextLong() {
		return this.random.nextLong();
	}

	public float getNextFloat() {
		return this.random.nextFloat();
	}

	public double getNextDouble() {
		return this.random.nextDouble();
	}
	
	public boolean getNextBoolean() {
		return this.random.nextBoolean();
	}
	
	
}
